Package org.drinkless.tdlib

# Class TdApi.ChatEventAction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventAction

Direct Known Subclasses:
  `TdApi.ChatEventAccentColorChanged`, `TdApi.ChatEventActiveUsernamesChanged`, `TdApi.ChatEventAutomaticTranslationToggled`, `TdApi.ChatEventAvailableReactionsChanged`, `TdApi.ChatEventBackgroundChanged`, `TdApi.ChatEventCustomEmojiStickerSetChanged`, `TdApi.ChatEventDescriptionChanged`, `TdApi.ChatEventEmojiStatusChanged`, `TdApi.ChatEventForumTopicCreated`, `TdApi.ChatEventForumTopicDeleted`, `TdApi.ChatEventForumTopicEdited`, `TdApi.ChatEventForumTopicPinned`, `TdApi.ChatEventForumTopicToggleIsClosed`, `TdApi.ChatEventForumTopicToggleIsHidden`, `TdApi.ChatEventHasAggressiveAntiSpamEnabledToggled`, `TdApi.ChatEventHasProtectedContentToggled`, `TdApi.ChatEventInviteLinkDeleted`, `TdApi.ChatEventInviteLinkEdited`, `TdApi.ChatEventInviteLinkRevoked`, `TdApi.ChatEventInvitesToggled`, `TdApi.ChatEventIsAllHistoryAvailableToggled`, `TdApi.ChatEventIsForumToggled`, `TdApi.ChatEventLinkedChatChanged`, `TdApi.ChatEventLocationChanged`, `TdApi.ChatEventMemberInvited`, `TdApi.ChatEventMemberJoined`, `TdApi.ChatEventMemberJoinedByInviteLink`, `TdApi.ChatEventMemberJoinedByRequest`, `TdApi.ChatEventMemberLeft`, `TdApi.ChatEventMemberPromoted`, `TdApi.ChatEventMemberRestricted`, `TdApi.ChatEventMemberSubscriptionExtended`, `TdApi.ChatEventMemberTagChanged`, `TdApi.ChatEventMessageAutoDeleteTimeChanged`, `TdApi.ChatEventMessageDeleted`, `TdApi.ChatEventMessageEdited`, `TdApi.ChatEventMessagePinned`, `TdApi.ChatEventMessageUnpinned`, `TdApi.ChatEventPermissionsChanged`, `TdApi.ChatEventPhotoChanged`, `TdApi.ChatEventPollStopped`, `TdApi.ChatEventProfileAccentColorChanged`, `TdApi.ChatEventShowMessageSenderToggled`, `TdApi.ChatEventSignMessagesToggled`, `TdApi.ChatEventSlowModeDelayChanged`, `TdApi.ChatEventStickerSetChanged`, `TdApi.ChatEventTitleChanged`, `TdApi.ChatEventUsernameChanged`, `TdApi.ChatEventVideoChatCreated`, `TdApi.ChatEventVideoChatEnded`, `TdApi.ChatEventVideoChatMuteNewParticipantsToggled`, `TdApi.ChatEventVideoChatParticipantIsMutedToggled`, `TdApi.ChatEventVideoChatParticipantVolumeLevelChanged`

Enclosing class:
  `TdApi`

public abstract static class TdApi.ChatEventAction extends TdApi.Object
This class is an abstract base class. Represents a chat event.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `TdApi.ChatEventAction.Constructors`
  Describes possible values returned by getConstructor().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventAction()`
  Default class constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChatEventAction

    public ChatEventAction()
    Default class constructor.

- ## Method Details

  - ### getConstructor

    public abstract int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      identifier uniquely determining type of the object.